<template>
	<div>

		<common ref="common" @asynCallBack="asynCallBack"></common>
		<top-header :pageTitle="pageTitle"></top-header>
		<div class="mui-content  vongi-fklist">
			<div class="mui-content-padded">
				<h5>需要帮助请联系我们</h5>
			</div>
			<ul class="mui-table-view openfyy-list">
				<li class="mui-table-view-cell mui-media flew-sp" v-for="mod in list">
					<div class="mui-media-body">
						{{mod.name}}
					</div>
					<a :href="'tel:'+mod.telephone">
						{{mod.telephone}}{{mod.subTelephone?'转分机'+mod.subTelephone:''}}
						<span class="iconfont icon-dianhua1"></span>
					</a>
				</li>
			</ul>
		</div>
		<NullList :remark="'没有配置物业的联系方式，快去提醒一下吧'" v-if="!list"></NullList>
		<loading :visible="isLoading"></loading>

	</div>
</template>


<script>
	import * as API_Property from '@/apis/Master/property'
	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	import NullList from '$project/components/NullList.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		name: 'MasterPropertyContact',
		components: {
			Common,
			Loading,
			TopHeader,NullList
		},
		data() {
			return {
				pageTitle: '联系物业',

				isLoading: false,

				list:[]
			}
		},
		created() {},
		methods: {

			//提交
			getList() {
				this.isLoading = true;

				API_Property.companyContactsList().then(response => {
					this.isLoading = false;
 					this.list=response.list;
 				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			asynCallBack() {

			},
		},
		mounted() {
			this.getList();
		},
		destroyed() {
 		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
			})
		},
	}
</script>


<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style src="$project/assets/css/iconfont.css"></style>
<style>
</style>
